{ Обработка текста: Подсчет количества слов в тексте                       }
{--------------------------------------------------------------------------}
{ На входе - текст, на выходе - количество слов в тексте                   }
{--------------------------------------------------------------------------}
const Alpha : set of char=['A'..'Z','А'..'П','Р'..'Я','a'..'z','а'..'п','р'..'я'];
var s:string;
    i:integer;
    wc:integer;
begin
     writeln('Введите текст'); readln(s);
     i:=1; wc:=0;
     Repeat
        while NOT(s[i] in Alpha) and (i<=length(s)) do inc(i);
        if (i<=length(s)) then inc(wc);
        while (s[i] in Alpha) and (i<=length(s)) do inc(i);
     Until (i>length(s));
     writeln('Количество слов в этом тексте = ',wc);
end.
